Duration (Groovy 5.0.6)

Package: groovy.time

## [Java] Class Duration

- groovy.time.Duration

-     public class Duration
      extends BaseDuration

  Duration represents time periods which have values independent of the context. So, whilst we can't say how long a month is without knowing the year and the name of the month, we know how long a day is independent of the date.

  This is not 100% true for days. Days can actually be 23, 24 or 25 hours long (due to daylight saving adjustments.)

  If you ask Duration to convert itself to milliseconds then it will work on the basis of 24 hours in a day. If you add or subtract it from a date it will take daylight saving into account.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class BaseDuration` | `days, hours, millis, minutes, months, seconds, years`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `Duration(int days, int hours, int minutes, int seconds, int millis)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Date` | `getAgo()`
    `` | `public From` | `getFrom()`
    `` | `public Date` | `getNow()`
    `` | `public Duration` | `minus(Duration rhs)`
    `` | `public TimeDuration` | `minus(TimeDuration rhs)`
    `` | `public DatumDependentDuration` | `minus(DatumDependentDuration rhs)`
    `` | `public TimeDatumDependentDuration` | `minus(TimeDatumDependentDuration rhs)`
    `` | `public Duration` | `plus(Duration rhs)`
    `` | `public Duration` | `plus(TimeDuration rhs)`
    `` | `public DatumDependentDuration` | `plus(DatumDependentDuration rhs)`
    `` | `public long` | `toMilliseconds()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BaseDuration` | `compareTo, getAgo, getDays, getFrom, getHours, getMillis, getMinutes, getMonths, getSeconds, getYears, plus, toMilliseconds, toString`

- - ### Constructor Detail

    - #### public Duration(int days, int hours, int minutes, int seconds, int millis)

  - ### Method Detail

    - #### @Override
      public Date getAgo()

    - #### @Override
      public From getFrom()

    - #### @Override
      public Date getNow()

    - #### public Duration minus(Duration rhs)

    - #### public TimeDuration minus(TimeDuration rhs)

    - #### public DatumDependentDuration minus(DatumDependentDuration rhs)

    - #### public TimeDatumDependentDuration minus(TimeDatumDependentDuration rhs)

    - #### public Duration plus(Duration rhs)

    - #### public Duration plus(TimeDuration rhs)

    - #### public DatumDependentDuration plus(DatumDependentDuration rhs)

    - #### @Override
      public long toMilliseconds()